Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Tuple2f

    java.lang.Object
      javax.vecmath.Tuple2f

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Point2f, TexCoord2f, Vector2f

    public abstract class Tuple2f

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A generic 2-element tuple that is represented by single-precision floating point x,y coordinates.

See Also:
  Serialized Form

Field Summary
`float` | `x` The x coordinate.
`float` | `y` The y coordinate.

Constructor Summary
`Tuple2f()` Constructs and initializes a Tuple2f to (0,0).
`Tuple2f(float[] t)` Constructs and initializes a Tuple2f from the specified array.
`Tuple2f(float x, float y)` Constructs and initializes a Tuple2f from the specified xy coordinates.
`Tuple2f(Tuple2d t1)` Constructs and initializes a Tuple2f from the specified Tuple2d.
`Tuple2f(Tuple2f t1)` Constructs and initializes a Tuple2f from the specified Tuple2f.

Method Summary
`void` | `absolute()` Sets each component of this tuple to its absolute value.
`void` | `absolute(Tuple2f t)` Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.
`void` | `add(Tuple2f t1)` Sets the value of this tuple to the vector sum of itself and tuple t1.
`void` | `add(Tuple2f t1, Tuple2f t2)` Sets the value of this tuple to the vector sum of tuples t1 and t2.
`void` | `clamp(float min, float max)` Clamps this tuple to the range [low, high].
`void` | `clamp(float min, float max, Tuple2f t)` Clamps the tuple parameter to the range [low, high] and places the values into this tuple.
`void` | `clampMax(float max)` Clamps the maximum value of this tuple to the max parameter.
`void` | `clampMax(float max, Tuple2f t)` Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.
`void` | `clampMin(float min)` Clamps the minimum value of this tuple to the min parameter.
`void` | `clampMin(float min, Tuple2f t)` Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`boolean` | `epsilonEquals(Tuple2f t1, float epsilon)` Returns true if the L-infinite distance between this tuple and tuple t1 is less than or equal to the epsilon parameter, otherwise returns false.
`boolean` | `equals(java.lang.Object t1)` Returns true if the Object t1 is of type Tuple2f and all of the data members of t1 are equal to the corresponding data members in this Tuple2f.
`boolean` | `equals(Tuple2f t1)` Returns true if all of the data members of Tuple2f t1 are equal to the corresponding data members in this Tuple2f.
`void` | `get(float[] t)` Copies the value of the elements of this tuple into the array t.
`int` | `hashCode()` Returns a hash code value based on the data values in this object.
`void` | `interpolate(Tuple2f t1, float alpha)` Linearly interpolates between this tuple and tuple t1 and places the result into this tuple: this = (1-alpha)*this + alpha*t1.
`void` | `interpolate(Tuple2f t1, Tuple2f t2, float alpha)` Linearly interpolates between tuples t1 and t2 and places the result into this tuple: this = (1-alpha)*t1 + alpha*t2.
`void` | `negate()` Negates the value of this vector in place.
`void` | `negate(Tuple2f t1)` Sets the value of this tuple to the negation of tuple t1.
`void` | `scale(float s)` Sets the value of this tuple to the scalar multiplication of itself.
`void` | `scale(float s, Tuple2f t1)` Sets the value of this tuple to the scalar multiplication of tuple t1.
`void` | `scaleAdd(float s, Tuple2f t1)` Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).
`void` | `scaleAdd(float s, Tuple2f t1, Tuple2f t2)` Sets the value of this tuple to the scalar multiplication of tuple t1 and then adds tuple t2 (this = s*t1 + t2).
`void` | `set(float[] t)` Sets the value of this tuple from the 2 values specified in the array.
`void` | `set(float x, float y)` Sets the value of this tuple to the specified xy coordinates.
`void` | `set(Tuple2d t1)` Sets the value of this tuple to the value of the Tuple2d argument.
`void` | `set(Tuple2f t1)` Sets the value of this tuple to the value of the Tuple2f argument.
`void` | `sub(Tuple2f t1)` Sets the value of this tuple to the vector difference of itself and tuple t1 (this = this - t1).
`void` | `sub(Tuple2f t1, Tuple2f t2)` Sets the value of this tuple to the vector difference of tuple t1 and t2 (this = t1 - t2).
`java.lang.String` | `toString()` Returns a string that contains the values of this Tuple2f.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public float x

  The x coordinate.

### y

    public float y

  The y coordinate.

Constructor Detail

### Tuple2f

    public Tuple2f(float x,
                   float y)

  Constructs and initializes a Tuple2f from the specified xy coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### Tuple2f

    public Tuple2f(float[] t)

  Constructs and initializes a Tuple2f from the specified array.

  Parameters:
    `t` - the array of length 2 containing xy in order

### Tuple2f

    public Tuple2f(Tuple2f t1)

  Constructs and initializes a Tuple2f from the specified Tuple2f.

  Parameters:
    `t1` - the Tuple2f containing the initialization x y data

### Tuple2f

    public Tuple2f(Tuple2d t1)

  Constructs and initializes a Tuple2f from the specified Tuple2d.

  Parameters:
    `t1` - the Tuple2d containing the initialization x y data

### Tuple2f

    public Tuple2f()

  Constructs and initializes a Tuple2f to (0,0).

Method Detail

### set

    public final void set(float x,
                          float y)

  Sets the value of this tuple to the specified xy coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate

### set

    public final void set(float[] t)

  Sets the value of this tuple from the 2 values specified in the array.

  Parameters:
    `t` - the array of length 2 containing xy in order

### set

    public final void set(Tuple2f t1)

  Sets the value of this tuple to the value of the Tuple2f argument.

  Parameters:
    `t1` - the tuple to be copied

### set

    public final void set(Tuple2d t1)

  Sets the value of this tuple to the value of the Tuple2d argument.

  Parameters:
    `t1` - the tuple to be copied

### get

    public final void get(float[] t)

  Copies the value of the elements of this tuple into the array t.

  Parameters:
    `t` - the array that will contain the values of the vector

### add

    public final void add(Tuple2f t1,
                          Tuple2f t2)

  Sets the value of this tuple to the vector sum of tuples t1 and t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### add

    public final void add(Tuple2f t1)

  Sets the value of this tuple to the vector sum of itself and tuple t1.

  Parameters:
    `t1` - the other tuple

### sub

    public final void sub(Tuple2f t1,
                          Tuple2f t2)

  Sets the value of this tuple to the vector difference of tuple t1 and t2 (this = t1 - t2).

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple

### sub

    public final void sub(Tuple2f t1)

  Sets the value of this tuple to the vector difference of itself and tuple t1 (this = this - t1).

  Parameters:
    `t1` - the other tuple

### negate

    public final void negate(Tuple2f t1)

  Sets the value of this tuple to the negation of tuple t1.

  Parameters:
    `t1` - the source tuple

### negate

    public final void negate()

  Negates the value of this vector in place.

### scale

    public final void scale(float s,
                            Tuple2f t1)

  Sets the value of this tuple to the scalar multiplication of tuple t1.

  Parameters:
    `s` - the scalar value
    `t1` - the source tuple

### scale

    public final void scale(float s)

  Sets the value of this tuple to the scalar multiplication of itself.

  Parameters:
    `s` - the scalar value

### scaleAdd

    public final void scaleAdd(float s,
                               Tuple2f t1,
                               Tuple2f t2)

  Sets the value of this tuple to the scalar multiplication of tuple t1 and then adds tuple t2 (this = s*t1 + t2).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be multipled
    `t2` - the tuple to be added

### scaleAdd

    public final void scaleAdd(float s,
                               Tuple2f t1)

  Sets the value of this tuple to the scalar multiplication of itself and then adds tuple t1 (this = s*this + t1).

  Parameters:
    `s` - the scalar value
    `t1` - the tuple to be added

### hashCode

    public int hashCode()

  Returns a hash code value based on the data values in this object. Two different Tuple2f objects with identical data values (i.e., Tuple2f.equals returns true) will return the same hash code value. Two objects with different data members may return the same hash value, although this is not likely.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the integer hash code value

### equals

    public boolean equals(Tuple2f t1)

  Returns true if all of the data members of Tuple2f t1 are equal to the corresponding data members in this Tuple2f.

  Parameters:
    `t1` - the vector with which the comparison is made
  Returns:
    true or false

### equals

    public boolean equals(java.lang.Object t1)

  Returns true if the Object t1 is of type Tuple2f and all of the data members of t1 are equal to the corresponding data members in this Tuple2f.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `t1` - the object with which the comparison is made
  Returns:
    true or false

### epsilonEquals

    public boolean epsilonEquals(Tuple2f t1,
                                 float epsilon)

  Returns true if the L-infinite distance between this tuple and tuple t1 is less than or equal to the epsilon parameter, otherwise returns false. The L-infinite distance is equal to MAX[abs(x1-x2), abs(y1-y2)].

  Parameters:
    `t1` - the tuple to be compared to this tuple
    `epsilon` - the threshold value
  Returns:
    true or false

### toString

    public java.lang.String toString()

  Returns a string that contains the values of this Tuple2f. The form is (x,y).

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation

### clamp

    public final void clamp(float min,
                            float max,
                            Tuple2f t)

  Clamps the tuple parameter to the range [low, high] and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMin

    public final void clampMin(float min,
                               Tuple2f t)

  Clamps the minimum value of the tuple parameter to the min parameter and places the values into this tuple.

  Parameters:
    `min` - the lowest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### clampMax

    public final void clampMax(float max,
                               Tuple2f t)

  Clamps the maximum value of the tuple parameter to the max parameter and places the values into this tuple.

  Parameters:
    `max` - the highest value in the tuple after clamping
    `t` - the source tuple, which will not be modified

### absolute

    public final void absolute(Tuple2f t)

  Sets each component of the tuple parameter to its absolute value and places the modified values into this tuple.

  Parameters:
    `t` - the source tuple, which will not be modified

### clamp

    public final void clamp(float min,
                            float max)

  Clamps this tuple to the range [low, high].

  Parameters:
    `min` - the lowest value in this tuple after clamping
    `max` - the highest value in this tuple after clamping

### clampMin

    public final void clampMin(float min)

  Clamps the minimum value of this tuple to the min parameter.

  Parameters:
    `min` - the lowest value in this tuple after clamping

### clampMax

    public final void clampMax(float max)

  Clamps the maximum value of this tuple to the max parameter.

  Parameters:
    `max` - the highest value in the tuple after clamping

### absolute

    public final void absolute()

  Sets each component of this tuple to its absolute value.

### interpolate

    public final void interpolate(Tuple2f t1,
                                  Tuple2f t2,
                                  float alpha)

  Linearly interpolates between tuples t1 and t2 and places the result into this tuple: this = (1-alpha)*t1 + alpha*t2.

  Parameters:
    `t1` - the first tuple
    `t2` - the second tuple
    `alpha` - the alpha interpolation parameter

### interpolate

    public final void interpolate(Tuple2f t1,
                                  float alpha)

  Linearly interpolates between this tuple and tuple t1 and places the result into this tuple: this = (1-alpha)*this + alpha*t1.

  Parameters:
    `t1` - the first tuple
    `alpha` - the alpha interpolation parameter

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of this instance.
  Throws:
    `java.lang.OutOfMemoryError` - if there is not enough memory.
  Since:
    Java 3D 1.3
  See Also:
    `Cloneable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD